/******************************************************************************
*	File		-	script.h
*	Author		-	Joey Pollack
*	Date		-	2022/01/18 (y/m/d)
*	Mod Date	-	2022/01/18 (y/m/d)
*	Description	-	Holds data for a LUA script
******************************************************************************/

#include "script.h"

namespace lunarium
{
     void Script::SetScript(const char* script)
    {
        mScript = script;
        mScriptErrors.clear();
    }
    
    const char* Script::GetScript() const
    {
        return mScript.c_str();
    }
    

    void Script::AddError(std::string error)
    {
        mScriptErrors.push_back(error);
    }

    const std::vector<std::string>* Script::GetErrors() const
    {
        return &mScriptErrors;
    }
}